Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet
Interface GrailsRequestContext

All Known Implementing Classes:
  WebRequestDelegatingRequestContext

    public interface GrailsRequestContext

Defines the methods and objects available during a Grails request context.

Since:
  0.6
Author:
  Graeme Rocher

Method Summary
`String` | `getActionName()`
`ApplicationContext` | `getApplicationContext()` The ApplicationContext instance.
`String` | `getControllerName()`
`Writer` | `getOut()` The response writer.
`Map` | `getParams()` The params object.
`HttpServletRequest` | `getRequest()` The request object.
`String` | `getRequestURI()`
`HttpServletResponse` | `getResponse()` The response object.
`ServletContext` | `getServletContext()` The servletContext object.
`HttpSession` | `getSession()` The session object.

Method Detail

### getRequest

    HttpServletRequest getRequest()

  The request object.

  Returns:
    The request object

### getResponse

    HttpServletResponse getResponse()

  The response object.

  Returns:
    The response object

### getSession

    HttpSession getSession()

  The session object.

  Returns:
    The session object

### getServletContext

    ServletContext getServletContext()

  The servletContext object.

  Returns:
    The servletContext Object

### getParams

    Map getParams()

  The params object.

  Returns:
    The params object

### getApplicationContext

    ApplicationContext getApplicationContext()

  The ApplicationContext instance.

  Returns:
    The ApplicationCOntext

### getOut

    Writer getOut()

  The response writer.

  Returns:
    The response writer

### getActionName

    String getActionName()

  Returns:
    The Action name

### getControllerName

    String getControllerName()

  Returns:
    The Controller Name

### getRequestURI

    String getRequestURI()

  Returns:
    The Request URI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD